Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.db.columniterator
Class LazyColumnIterator

    java.lang.Object
      com.google.common.collect.UnmodifiableIterator<T>
          com.google.common.collect.AbstractIterator<IColumn>
              org.apache.cassandra.db.columniterator.LazyColumnIterator

All Implemented Interfaces:
  java.io.Closeable, java.util.Iterator<IColumn>, IColumnIterator, CloseableIterator<IColumn>

    public class LazyColumnIterator

extends com.google.common.collect.AbstractIterator<IColumn>
implements IColumnIterator

Constructor Summary
`LazyColumnIterator(DecoratedKey key, IColumnIteratorFactory subIteratorFactory)`

Method Summary
`void` | `close()` clean up any open resources
`protected IColumn` | `computeNext()`
`ColumnFamily` | `getColumnFamily()`
`DecoratedKey` | `getKey()`

Methods inherited from class com.google.common.collect.AbstractIterator
`endOfData, hasNext, next, peek`

Methods inherited from class com.google.common.collect.UnmodifiableIterator
`remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Iterator
`hasNext, next, remove`

Constructor Detail

### LazyColumnIterator

    public LazyColumnIterator(DecoratedKey key,
                              IColumnIteratorFactory subIteratorFactory)

Method Detail

### computeNext

    protected IColumn computeNext()

  Specified by:
    `computeNext` in class `com.google.common.collect.AbstractIterator<IColumn>`

### getColumnFamily

    public ColumnFamily getColumnFamily()

  Specified by:
    `getColumnFamily` in interface `IColumnIterator`
  Returns:
    A ColumnFamily holding metadata for the row being iterated. Do not modify this CF. Whether it is empty or not is implementation-dependent.

### getKey

    public DecoratedKey getKey()

  Specified by:
    `getKey` in interface `IColumnIterator`
  Returns:
    the current row key

### close

    public void close()
               throws java.io.IOException

  Description copied from interface: `IColumnIterator`
  clean up any open resources

  Specified by:
    `close` in interface `java.io.Closeable`
  Specified by:
    `close` in interface `IColumnIterator`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation